# SNESInitializePackage

This function initializes everything in the SNES package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the first call to SNESCreate() when using static libraries.

### Synopsis

    PetscErrorCode PETSCSNES_DLLEXPORT SNESInitializePackage(const char path[])

### Input Parameter

path - The dynamic library path, or PETSC_NULL

### Keywords

SNES, initialize, package

### See Also

PetscInitialize()

Level:developer
Location: src/snes/interface/dlregissnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages